<div>
<% Player.sortables.each do |sortable| %>
<a href="?sorted_by=<%= sortable %>&sort_direction=<%= @sort_type == sortable ? (@sort_direction == "ASC" ? "DESC" : "ASC") : "ASC"%><%= @player_name_filter ? "&player_name=#{@player_name_filter}" : ""%>">
<button>Sort by <%= sortable %></button>
</a>
<% end %>
<a href="?page=<%=@page - 1%>&sorted_by=<%= @sort_type %>&sort_direction=<%= @sort_direction %><%= @player_name_filter ? "&player_name=#{@player_name_filter}" : ""%>">
    <button <%= @page == 1 ? "disabled" : "" %>> Previous Page </button>
</a>
<a href="?page=<%=@page + 1%>&sorted_by=<%= @sort_type %>&sort_direction=<%= @sort_direction %><%= @player_name_filter ? "&player_name=#{@player_name_filter}" : ""%>">
    <button <%= @page == @max_page ? " disabled" : "" %>> Next Page </button>
</a>
<% unless @players.empty? %>
<a href="players.csv?page=<%=@page%>&sorted_by=<%= @sort_type %>&sort_direction=<%= @sort_direction %><%= @player_name_filter ? "&player_name=#{@player_name_filter}" : ""%>">
    <button> Export CSV </button>
</a>
<% end %>
<form method="get">
    <input type="text" id="player_name" name="player_name" value="<%= @player_name_filter %>">
    <input type="hidden" id="sort_direction" name="sort_direction" value="<%= @sort_direction %>">
    <input type="hidden" id="sorted_by" name="sorted_by" value="<%= @sort_type %>">
</form>
</div>
<% if @players.empty? %>
There is no players matching!
<% else %>
<table>
    <tr>
    <% Player.attributes.each do |attr_name| %>
        <th><%= attr_name %></th>
    <% end %>
    </tr>
    <% @players.each do |player| %>
        <tr>
        <% player.attributes.each do |attr_name| %>
            <td><%= player.send(attr_name) %></td>
        <% end %>
        </tr>
    <% end %>
</table>
<% end %>